## nailing-cargo 1.1.0

=== debian/changelog ===
nailing-cargo (1.1.0) unstable; urgency=medium

  Significant new features:
  * New --git mode, selected automatically if .git exists.
  * oot: Add support for sudo.  [Sean Whitton]
  * New subdir option for running in a subdirectory of the tree.
  * New raw chdir option for changing directory.

  Other new features and improvements:
  * Add option for overriding Cargo.nail filename.
  * Pass NAILINGCARGO_TOOLCHAIN.
  * Support usual_toolchain in Cargo.nail.
  * Fix bugs with unborn branches; make cargo init work.
  * Set CARGO_NET_OFFLINE unless --online.
  * Recognise `cargo audit` subcommand.
  * Recognise abbreviated form of preclean option, --[no-]preclean[=...].
  * Introduce pristine-git subcomd property and use it for publish.
  * Make build directory regardless of cargo lock update mode.

  Bugfixes:
  * Fix bugs in argument parser.
  * docs: Fix help message for --chdir=.
  * Don't assume that `git-*' are on the caller's path.  [Mark Wooding]
  * Fix OOT with SSH, which was just broken.  [Mark Wooding]
  * Arrange to git add Cargo.lock even when it's ignored.
  * Toolchain selection: fix subcmd detection.
  * Transfer -E output back even if command fails.
  * Always overwrite edit, so as to avoid trashing real working tree.
  * Improvements to messages (including fixing some warnings).
  * Cope with wider range of initial states.
  * Don't try to return files with -E if not out-of-tree build.
  * Improve interaction of -EE with linkfarming.
  * Bugfixes relating to unusual pathnames in the build tree.
  * Better handle Cargo.lock: fix if the build dir loses it.
  * Fix handling of root workspace member.

  Packaging and disstribution:
  * Updated embedded TOML::Tiny copy to upstream v0.20;
    that has the needed bug fixes (and corresponding tests).
    [Assistance with upstream from Sean Whitton]
  * In Debian binary package, no longer ship embedded TOML::Tiny;
    instead, Depend on, and use, the system package.
    (We will must ship TOML::Tiny::Faithful, which is not in TOML::Tiny
    at all, having been rejected by upstream.)
  * Declare this a native package, unifying upstream and Debian work.
  * CI: Use the Debian Salsa CI Team pipeline.
  * Upload to unstable, now the embedded code copy is gone from the .debs.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 26 Mar 2025 11:42:40 +0000

nailing-cargo (1.0.0+git20250110.3a8b82f2-1) experimental; urgency=medium

  * Initial upload to Debian.
    - Uploading to experimental while we figure out the TOML::Tiny situation.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 04 Mar 2025 01:11:18 +0000
