=== debian/tests/control ===
Tests: basic
Depends: @, cargo, rustc
Restrictions: allow-stderr
