## nailing-cargo 1.1.1

=== debian/changelog ===
nailing-cargo (1.1.1) unstable; urgency=medium

  * If Cargo.nail doesn't exist, treat it as empty, and adjust docs.
    Fixes gitlab nailing-cargo#4, nailing-cargo#14.  [Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 28 Mar 2025 16:47:06 +0000
