## nailing-cargo 1.1.2

=== debian/changelog ===
nailing-cargo (1.1.2) unstable; urgency=medium

  * Set RUSTUP_AUTO_INSTALL along with CARGO_NET_OFFLINE.
    Improves behaviour with Rustup >= 1.28.  Closes: #1103157.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Apr 2025 16:43:04 +0100
