=== debian/control ===
Source: nailing-cargo
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 4.7.2.0
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/iwj/nailing-cargo.git
Vcs-Browser: https://salsa.debian.org/iwj/nailing-cargo
Homepage: https://salsa.debian.org/iwj/nailing-cargo

Package: nailing-cargo
Depends: perl,
         libtypes-serialiser-perl,
         libtoml-tiny-perl (>= 0.20~),
	 libdatetime-format-iso8601-perl,
	 libdatetime-format-rfc3339-perl,
	 ${misc:Depends}
Architecture: all
Description: privilege separation for Rust builds
 nailing-cargo allows you to run download and run the Rust toolchain
 and dependencies from crates.io, all as a separate user.
 .
 This can help limit the security impact of hostile or compromised crates.
 It is suitable for use with upstream tooling from rustup.rs.
 .
 It supports Debian-shipped cargo and rustc too.  (But the combination
 of Debian toolchain and upstream dependencies is not the outcome of
 a sensible security posture, so is not recommended by this author.)
