=== debian/rules ===
#! /usr/bin/make -f

%:
	dh "$@"

# nailing-cargo expects to find its TOML::Tiny fork, and README.md via $0.
# This is pretty nasty, but we hope to get rid of the fork entirely,
# which will make the TOML::Tinyh part redundant.  This works and will do.
execute_after_dh_install:
	install -m755 debian/wrapper debian/nailing-cargo/usr/bin/nailing-cargo

# nailing-cargo's --doc option doesn't work with a compressed README
# The file is only 12k, anyway.
override_dh_compress:
	dh_compress -X README.md
